compress_spooleredit

Note

This is a community-maintained plugin! It does not ship with Logstash by default, but it is easy to install by running bin/logstash-plugin install logstash-codec-compress_spooler.

 

Synopsisedit

This plugin supports the following configuration options:

Required configuration options:

compress_spooler {
  }

Available configuration options:

Setting Input typeRequiredDefault value

compress_level

number

No

6

spool_size

number

No

50

Detailsedit

 

compress_leveledit

  • Value type is number
  • Default value is 6

spool_sizeedit

  • Value type is number
  • Default value is 50